Subject: Re: [net-next v3 00/14] Add mlx5 subfunction support

From: Saeed Mahameed <[email-masked]>
Date: Mon, 14 Dec 2020 12:06:59 -0800

On Mon, 2020-12-14 at 03:25 +0000, Parav Pandit wrote:
> > From: Leon Romanovsky <[email-masked]>
> > Sent: Sunday, December 13, 2020 5:39 PM
> > 
> > On Sat, Dec 12, 2020 at 12:25:18PM -0800, Jakub Kicinski wrote:
> > > On Fri, 11 Dec 2020 22:12:11 -0800 Saeed Mahameed wrote:
> > > > Hi Dave, Jakub, Jason,
> > > > 
> > > > This series form Parav was the theme of this mlx5 release
> > > > cycle,
> > > > we've been waiting anxiously for the auxbus infrastructure to
> > > > make
> > > > it into the kernel, and now as the auxbus is in and all the
> > > > stars
> > > > are aligned, I can finally submit this V2 of the devlink and
> > > > mlx5
> > subfunction support.
> > > > Subfunctions came to solve the scaling issue of virtualization
> > > > and
> > > > switchdev environments, where SRIOV failed to deliver and users
> > > > ran
> > > > out of VFs very quickly as SRIOV demands huge amount of
> > > > physical
> > > > resources in both of the servers and the NIC.
> > > > 
> > > > Subfunction provide the same functionality as SRIOV but in a
> > > > very
> > > > lightweight manner, please see the thorough and detailed
> > > > documentation from Parav below, in the commit messages and the
> > > > Networking documentation patches at the end of this series.
> > > > 
> > > > Sending V2/V3 as a continuation to V1 that was sent Last month
> > > > [0],
> > > > [0]
> > > > https://lore.kernel.org/linux-rdma/20201112192424.2742-1-parav@nvidi
> > > > a.com/
> > > 
> > > This adds more and more instances of the 32 bit build warning.
> > > 
> > > The warning was also reported separately on netdev after the
> > > recent
> > > mlx5-next pull.
> > > 
> > > Please address that first (or did you already do and I missed it
> > > somehow?)
> > 
> > Hi Jakub,
> > 
> > I posted a fix from Parav,
> > https://lore.kernel.org/netdev/20201213120641.216032-1-
> > [email-masked]/T/#u
> > 
> > Thanks
> 
> Hi Jakub,
> This patchset is not added the original warning. Warning got added
> due to a commit [1].
> Its not related to subfunction.
> It will be fixed regardless of this patchset as posted in [2].
> 
> [1] 2a2970891647 ("net/mlx5: Add sample offload hardware bits and
> structures")
> [2] https://lore.kernel.org/netdev/20201213123620.GC5005@unreal/

I will resend this pr with the fix patch.

Thanks,
Saeed.